Documentation
  • Docs »
  • na_ontap_software_update – NetApp ONTAP Update Software

na_ontap_software_update – NetApp ONTAP Update Software

New in version 2.7.

Synopsis

  • Update ONTAP software
  • Requires an https connection and is not supported over http

Requirements

The below requirements are needed on the host that executes this module.

  • A physical or virtual clustered Data ONTAP system. The modules support Data ONTAP 9.1 and onward
  • Ansible 2.6
  • Python2 netapp-lib (2017.10.30) or later. Install using ‘pip install netapp-lib’
  • Python3 netapp-lib (2018.11.13) or later. Install using ‘pip install netapp-lib’
  • To enable http on the cluster you must run the following commands ‘set -privilege advanced;’ ‘system services web modify -http-enabled true;’

Parameters

Parameter Choices/Defaults Comments
hostname
string / required
The hostname or IP address of the ONTAP instance.
http_port
integer
Override the default port (80 or 443) with this port
https
boolean
    Choices:
  • no ←
  • yes
Enable and disable https
ignore_validation_warning
boolean
    Choices:
  • no ←
  • yes
Allows the update to continue if warnings are encountered during the validation phase.
nodes
-
List of nodes to be updated, the nodes have to be a part of a HA Pair.

aliases: node
ontapi
integer
The ontap api version to use
package_url
- / required
Specifies the package URL to download the package.
package_version
- / required
Specifies the package version to update software.
password
string / required
Password for the specified user.

aliases: pass
state
-
    Choices:
  • present ←
  • absent
Whether the specified ONTAP package should update or not.
username
string / required
This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/.

aliases: user
validate_certs
boolean
    Choices:
  • no
  • yes ←
If set to no, the SSL certificates will not be validated.
This should only set to False used on personally controlled sites using self-signed certificates.

Notes

Note

  • The modules prefixed with na\_ontap are built to support the ONTAP storage platform.

Examples

- name: ONTAP software update
  na_ontap_software_update:
    state: present
    nodes: vsim1
    package_url: "{{ url }}"
    package_version: "{{ version_name }}"
    ignore_validation_warning: True
    hostname: "{{ netapp_hostname }}"
    username: "{{ netapp_username }}"
    password: "{{ netapp_password }}"

Status

Authors

Hint

If you notice any issues in this documentation you can edit this document to improve it.